summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2019-09-07 08:36:42 +0200
committerHans de Graaff <graaff@gentoo.org>2019-09-07 14:28:36 +0200
commitd8a285594025f13978c2e5fbbd715de063e1ec9f (patch)
tree2b11c80a958c23371d4aa5a3e0f1afcdec6cf925 /dev-ruby/ruby-gobject-introspection
parentdev-ruby/ruby-glib2: add 3.3.7 (diff)
downloadgentoo-d8a285594025f13978c2e5fbbd715de063e1ec9f.tar.gz
gentoo-d8a285594025f13978c2e5fbbd715de063e1ec9f.tar.bz2
gentoo-d8a285594025f13978c2e5fbbd715de063e1ec9f.zip
dev-ruby/ruby-gobject-introspection: add 3.3.7
Package-Manager: Portage-2.3.69, Repoman-2.3.16 Signed-off-by: Hans de Graaff <graaff@gentoo.org>
Diffstat (limited to 'dev-ruby/ruby-gobject-introspection')
-rw-r--r--dev-ruby/ruby-gobject-introspection/Manifest1
-rw-r--r--dev-ruby/ruby-gobject-introspection/ruby-gobject-introspection-3.3.7.ebuild36
2 files changed, 37 insertions, 0 deletions
diff --git a/dev-ruby/ruby-gobject-introspection/Manifest b/dev-ruby/ruby-gobject-introspection/Manifest
index f9915c2e278..0c56169bcbe 100644
--- a/dev-ruby/ruby-gobject-introspection/Manifest
+++ b/dev-ruby/ruby-gobject-introspection/Manifest
@@ -1,2 +1,3 @@
DIST ruby-gnome2-all-3.3.2.tar.gz 2310841 BLAKE2B 8f50dc289cd097fa476a3419ffec623009395384bcfa965803f3e4e857e095866e0233e7546150c5e54d1e35f71c5e72a2880100a881ba037356208e5d3721ce SHA512 4581aad8c69db2b6be3b067ff60994fb3567d68299f634e085319ac81f51e1d681972ccba715f8e93df3adba155fa8cd3a49929cd77f6eb01856be30e551b21c
DIST ruby-gnome2-all-3.3.6.tar.gz 2307419 BLAKE2B 80d981528a7d1ff41400e8555c7576ac299a5e3b7d3fc7f78843ae0bedfa6ad43c79d3ebef60b918236c9054b0e5de462b48a274d1fdd03f6f288ff53d6645a5 SHA512 8bcd439cee77efc70423eeec43380f080b348627384c675e3b3a810e602b5da4f04bc476eccabdf009a442d496442e7a45a23f126bde4b356af70ac9949c27f5
+DIST ruby-gnome2-all-3.3.7.tar.gz 2316976 BLAKE2B 51fa3da9941254d17332854ad1a7b1bcd016f70aba70cbad7fbdffc9e54ed6f7da8bac09b49ed152bea2cd188d5af64783ef1ad8b754abeebfad358fb261c866 SHA512 4af9a4c6f7bba2b596880ec83e4a43f2afd7f34bb0cdbb42157e65de2517d3b9504eafe08eb63f47f43035bf50351b8a0a4dd7cb1b738e67e8373191910d0bce
diff --git a/dev-ruby/ruby-gobject-introspection/ruby-gobject-introspection-3.3.7.ebuild b/dev-ruby/ruby-gobject-introspection/ruby-gobject-introspection-3.3.7.ebuild
new file mode 100644
index 00000000000..2cb9544a260
--- /dev/null
+++ b/dev-ruby/ruby-gobject-introspection/ruby-gobject-introspection-3.3.7.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby24 ruby25 ruby26"
+
+inherit ruby-ng-gnome2
+
+RUBY_S=ruby-gnome2-all-${PV}/gobject-introspection
+
+DESCRIPTION="Ruby GObjectIntrospection bindings"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE=""
+
+DEPEND+=" dev-libs/gobject-introspection"
+RDEPEND+=" dev-libs/gobject-introspection"
+
+ruby_add_rdepend "~dev-ruby/ruby-glib2-${PV}"
+
+all_ruby_prepare() {
+ # Remove pregenerated Makefile since it will otherwise be shared by all targets.
+ rm -f Makefile Makefile.lib ext/gobject-introspection/Makefile || die
+
+ # Avoid native installer
+ sed -i -e '/native-package-installer/ s:^:#: ; /^\s*setup_homebrew/ s:^:#:' ../glib2/lib/mkmf-gnome2.rb || die
+
+ # Avoid unneeded dependency on test-unit-notify.
+ sed -i -e '/notify/ s:^:#:' test/gobject-introspection-test-utils.rb || die
+
+ # Avoid compilation of dependencies during test.
+ sed -i -e '/system/,/^ end/ s:^:#:' test/run-test.rb || die
+}
+
+each_ruby_test() {
+ ${RUBY} test/run-test.rb || die
+}